Bug 699837 - service command is not fully backwards compatible with Dogtag pki subsystems
Summary: service command is not fully backwards compatible with Dogtag pki subsystems
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-26 18:14 UTC by Matthew Harmsen
Modified: 2011-07-31 03:39 UTC (History)
10 users (show)

Fixed In Version: pki-kra-9.0.4-1.fc15
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-07-31 03:34:54 UTC
Type: ---


Attachments (Terms of Use)
Avoid using 'systemctl' for now (2.50 KB, patch)
2011-04-26 23:44 UTC, Matthew Harmsen
awnuk: review+
Details | Diff

Description Matthew Harmsen 2011-04-26 18:14:20 UTC
The Dogtag pki subsystem packages "pki-ca", "pki-kra", "pki-ocsp", "pki-tks", "pki-ra", and "pki-tps" use services named "pki-cad", "pki-krad", "pki-ocspd", "pki-tksd", "pki-rad", and "pki-tpsd" respectively.

Each service allows for more than one daemon (Dogtag uses the term "Dogtag pki server instances" or "instances") running on the system.  The single pki subsystem initscripts may be used to operate on all instances (accessed via a registry) or on individual instances.  For example:

  service pki-cad start,
  service pki-krad start,
  service pki-ocspd start,
  service pki-tksd start,
  service pki-rad start, or
  service pki-tpsd start

will operate on all instances associated with their pki subsystem, while

  service pki-cad start pki-ca,
  service pki-krad start pki-kra,
  service pki-ocspd start pki-ocsp,
  service pki-tksd start pki-tks,
  service pki-rad start pki-ra, or
  service pki-tpsd start pki-tps

will only operate on the instances named "pki-ca", "pki-kra", "pki-ocsp", "pki-tks", "pki-ra", or "pki-tps" respectively.

Comment 1 Bill Nottingham 2011-04-26 19:21:06 UTC
See https://bugzilla.redhat.com/show_bug.cgi?id=699835#c4

Comment 2 Matthew Harmsen 2011-04-26 23:44:51 UTC
Created attachment 495083 [details]
Avoid using 'systemctl' for now

Implemented per https://bugzilla.redhat.com/show_bug.cgi?id=699835#c14

Comment 3 Matthew Harmsen 2011-04-26 23:53:08 UTC
TIP:

# cd pki/base

# svn status | grep -v ^$ | grep -v ^P | grep -v ^X | grep -v ^?
M       ca/shared/etc/init.d/pki-cad
M       tks/shared/etc/init.d/pki-tksd
M       ra/etc/init.d/pki-rad
M       ocsp/shared/etc/init.d/pki-ocspd
M       tps/etc/init.d/pki-tpsd
M       kra/shared/etc/init.d/pki-krad

# svn commit
Sending        base/ca/shared/etc/init.d/pki-cad
Sending        base/kra/shared/etc/init.d/pki-krad
Sending        base/ocsp/shared/etc/init.d/pki-ocspd
Sending        base/ra/etc/init.d/pki-rad
Sending        base/tks/shared/etc/init.d/pki-tksd
Sending        base/tps/etc/init.d/pki-tpsd
Transmitting file data ......
Committed revision 1988.

Comment 4 Lennart Poettering 2011-04-27 00:22:08 UTC
This will not work. daemons started like that will not be tracked by systemd and will not show up in any of its outputs, and will not be shut down on shutdown.

Comment 5 Tomas Hoger 2011-04-27 07:19:25 UTC
Matthew, was this restricted to security group by mistake, or as an attempt to make this bug non-public?  Ok to remove security group restriction after your removal of security cc and keyword?

Comment 7 Tomas Hoger 2011-04-27 16:44:34 UTC
Thanks, making this public again.

Comment 8 Fedora Update System 2011-07-15 20:28:30 UTC
pki-kra-9.0.4-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/pki-kra-9.0.4-1.fc15

Comment 9 Fedora Update System 2011-07-15 20:53:44 UTC
pki-ocsp-9.0.3-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/pki-ocsp-9.0.3-1.fc15

Comment 10 Fedora Update System 2011-07-16 07:35:21 UTC
Package pki-kra-9.0.4-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pki-kra-9.0.4-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/pki-kra-9.0.4-1.fc15
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2011-07-31 03:34:45 UTC
pki-ocsp-9.0.3-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-07-31 03:39:00 UTC
pki-kra-9.0.4-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.